Get public vault detail
curl --request GET \
--url https://api.tuyo.com/public/vaults/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Tuyo-API-Version: <tuyo-api-version>'import requests
url = "https://api.tuyo.com/public/vaults/{id}"
headers = {
"Tuyo-API-Version": "<tuyo-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Tuyo-API-Version': '<tuyo-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tuyo.com/public/vaults/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tuyo.com/public/vaults/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Tuyo-API-Version: <tuyo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tuyo.com/public/vaults/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Tuyo-API-Version", "<tuyo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tuyo.com/public/vaults/{id}")
.header("Tuyo-API-Version", "<tuyo-api-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tuyo.com/public/vaults/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Tuyo-API-Version"] = '<tuyo-api-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<unknown>",
"name": "<unknown>",
"chainId": "<unknown>",
"address": "<unknown>",
"protocolName": "<unknown>",
"logoUrl": "<unknown>",
"manager": "<unknown>",
"factsheetUrl": "<unknown>",
"underlying": "<unknown>",
"description": "<string>",
"imageUrl": "<string>",
"riskLevel": "lowest",
"depositStatus": "available",
"asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"coinGeckoId": "<string>"
},
"network": {
"id": "ethereum",
"name": "<string>"
},
"protocol": {
"name": "<string>",
"description": "<string>",
"logoUrl": "<string>"
},
"inceptionAt": "2023-11-07T05:31:56Z",
"yield": "<unknown>",
"historicalReturns": [
"<unknown>"
],
"strategyTotalValue": "<unknown>",
"accountHolding": {
"id": "<unknown>",
"kind": "cash",
"group": "<unknown>",
"quantity": "<unknown>",
"value": "<unknown>",
"cash": {
"interest": "<unknown>"
},
"location": [
"<unknown>"
]
},
"meta": {
"apiVersion": "<string>",
"observedFrom": "2023-11-07T05:31:56Z",
"observedTo": "2023-11-07T05:31:56Z",
"sourceCoverage": {
"status": "<unknown>",
"unavailableSources": [
"<string>"
]
},
"asOf": "<unknown>",
"blocks": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}API Reference
Get public vault detail
GET
/
vaults
/
{id}
Get public vault detail
curl --request GET \
--url https://api.tuyo.com/public/vaults/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Tuyo-API-Version: <tuyo-api-version>'import requests
url = "https://api.tuyo.com/public/vaults/{id}"
headers = {
"Tuyo-API-Version": "<tuyo-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Tuyo-API-Version': '<tuyo-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tuyo.com/public/vaults/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tuyo.com/public/vaults/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Tuyo-API-Version: <tuyo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tuyo.com/public/vaults/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Tuyo-API-Version", "<tuyo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tuyo.com/public/vaults/{id}")
.header("Tuyo-API-Version", "<tuyo-api-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tuyo.com/public/vaults/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Tuyo-API-Version"] = '<tuyo-api-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<unknown>",
"name": "<unknown>",
"chainId": "<unknown>",
"address": "<unknown>",
"protocolName": "<unknown>",
"logoUrl": "<unknown>",
"manager": "<unknown>",
"factsheetUrl": "<unknown>",
"underlying": "<unknown>",
"description": "<string>",
"imageUrl": "<string>",
"riskLevel": "lowest",
"depositStatus": "available",
"asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"coinGeckoId": "<string>"
},
"network": {
"id": "ethereum",
"name": "<string>"
},
"protocol": {
"name": "<string>",
"description": "<string>",
"logoUrl": "<string>"
},
"inceptionAt": "2023-11-07T05:31:56Z",
"yield": "<unknown>",
"historicalReturns": [
"<unknown>"
],
"strategyTotalValue": "<unknown>",
"accountHolding": {
"id": "<unknown>",
"kind": "cash",
"group": "<unknown>",
"quantity": "<unknown>",
"value": "<unknown>",
"cash": {
"interest": "<unknown>"
},
"location": [
"<unknown>"
]
},
"meta": {
"apiVersion": "<string>",
"observedFrom": "2023-11-07T05:31:56Z",
"observedTo": "2023-11-07T05:31:56Z",
"sourceCoverage": {
"status": "<unknown>",
"unavailableSources": [
"<string>"
]
},
"asOf": "<unknown>",
"blocks": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}Headers
Path Parameters
Response
Successful response.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$